#ifndef GLUTILITY_H
#define GLUTILITY_H

#include <utility>
#include <vector>

typedef std::pair<double *, unsigned int> vertArray;
typedef std::vector<vertArray>::const_iterator vertIterator;

class GLUtility
{
public:
    GLUtility(int numPts);

    ~GLUtility();

    vertIterator begin() const {
                    return lineList_.begin(); }

    vertIterator end() const {
                    return lineList_.end(); }

    void createRandomLine();

    void clearLines();

private:

    int curLinePts_;

    std::vector<vertArray> lineList_;
};

#endif /* GLUTILITY_H */
